Subject: RE: [Isis-wg] psuedonode LSP

From: ramanathan ramasamy <[email-masked]>
Date: Thu, 10 Jan 2002 11:06:22 -0800

Hi all,

   Thanks for the response. Let me clarify my question again.
I agree that in any general routing protocol, like ISIS for OSI, OSPF, the 
concept of pseudonode LSP exists to remove the  N^2  topology problem as Mr 
Dave said.
But My question is that in case of ISIS for IP alone,  each router on the 
LAN is going to list all the subnets  which are directly reachable in each 
of its interfaces. In ordinary terms all the ordinary routers lists all the 
reachable interfaces in their LSPs. ( They r not just listing their 
interface to the LAN alone)
So In the pseudonode LSP for ISIS for IP,  according to RFC we are not 
 listing any IP reachability field.
So pseudonode LSP is not going to solve the N^2 problem, because each 
ordinary routers itself lists what r the subnets it can reach.
So what is the purpose of still retaining pseudonode LSP concept in ISIS 
for IP?

For Selvaraj,

Why do we need to have two way check in LAN? I think two way check is 
needed only in point to point link cases. And how come psuedonode LSP is 
useful for two way check?. psuedonode is a virtual concept right? so do we 
need to have two way check between ordinary routers and virtual psuedonodes 
in the LAN? I think in ISIS or any other routing protocol, pseudonode 
 concept is brought in to remove the N^2 topology problem only not for any 
other purpose?

Thanks
rams.

-----Original Message-----
From:	Jeff Learman [SMTP:[email-masked]]
Sent:	Thursday, January 10, 2002 6:29 AM
To:	Dave Katz
Cc:	[email-masked]; [email-masked]; 
[email-masked]
Subject:	Re: [Isis-wg] psuedonode LSP

Dave is correct, of course.  To amplify a little, a pseudonode LSP is
generated by the DR on behalf of the LAN, making the LAN appear to
be a router that has a point-to-point link with every IS on the LAN.

So, instead of each of N routers on the LAN reporting N-1 links, we
have N routers reporting 1 link and 1 imaginary router reporting N
links.

Jeff

At 02:25 AM 1/10/2002, Dave Katz wrote:
>To answer the original question, the pseudonode concept is still
>useful because it eliminates the N^2 topology problem, which is
>protocol-independent.
>
>   X-JNPR-Received-From: outside
>   Reply-To: <[email-masked]>
>   From: "SelvarajR" <[email-masked]>
>   X-Priority: 3 (Normal)
>   X-MSMail-Priority: Normal
>   X-MimeOLE: Produced By Microsoft MimeOLE V5.00.2615.200
>   Importance: Normal
>   Content-Type: text/plain;
>           charset="iso-8859-1"
>   X-OriginalArrivalTime: 10 Jan 2002 07:06:38.0655 (UTC) 
FILETIME=[591904F0:01C199A5]
>   Sender: [email-masked]
>   X-BeenThere: [email-masked]
>   X-Mailman-Version: 2.0rc1
>   Precedence: bulk
>   List-Help: <mailto:[email-masked]?subject=help>
>   List-Post: <mailto:[email-masked]>
>   List-Subscribe: <http://external.juniper.net/mailman/listinfo/isis-wg>,
>           <mailto:[email-masked]?subject=subscribe>
>   List-Id: IETF IS-IS working group <isis-wg.external.juniper.net>
>   List-Unsubscribe: 
<http://external.juniper.net/mailman/listinfo/isis-wg>,
          <mailto:[email-masked]?subject=unsubscribe>
>   List-Archive: <http://external.juniper.net/pipermail/isis-wg/>
>   Date: Thu, 10 Jan 2002 12:47:10 +0530
>
>   Pseudonode LSPs are generated on behalf of DR. Each DR will generate 
its own
>   unique Pseudonode LSPs. It will only contain the neighbor TLV with all 
the
>   neighbors of the broadcast circuit for which it is the DR. One of its 
usage
>   is Two-way check.
>   Pseudonode LSP wont contain IP reachability Info. Because its 
Non-Pseudonode
>   LSP will contain those information. So to avoid redundant information 
and
>   decrease LSP size it is not included in Pseudonode LSP.
>
>   Selva.
>
>   -----Original Message-----
>   From: [email-masked]
>   [mailto:[email-masked]]On Behalf Of ramanathan
>   ramasamy
>   Sent: Thursday, 10 January 2002 2:43 AM
>   To: [email-masked]'
>   Subject: [Isis-wg] psuedonode LSP
>
>
>   Hi all,
>
>             I have the following doubt in ISIS for IP.
>
>   *   In Pseudonode LSP, according to RFC 1195 sec 4.3, we won't be 
listing
>   any IP reachability field( because of logical subnetting probelem).
>       Then what is the purpose of retaining Psuedonode LSP concept in 
ISIS
>   for IP. What will it contain? What is it used for? - is it there to
>   maintain compatability in case of Integrated ISIS?
>
>
>   Thanks
>   rams.
>
>   _______________________________________________
>   Isis-wg mailing list  -  [email-masked]
>   http://external.juniper.net/mailman/listinfo/isis-wg
>
>   _______________________________________________
>   Isis-wg mailing list  -  [email-masked]
>   http://external.juniper.net/mailman/listinfo/isis-wg
>
>_______________________________________________
>Isis-wg mailing list  -  [email-masked]
>http://external.juniper.net/mailman/listinfo/isis-wg

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: "Ken Larmer" <[email-masked]>
Date: Thu, 10 Jan 2002 17:58:39 -0500

> So what is the purpose of still retaining pseudonode LSP concept in ISIS

Think of a Pseudonode LSP as representing the trunk of a SPF tree and the IS
adjacencies serve as the branches off of that trunk. Then the IP Prefixes
serve as the leafs attached to the branches of the SPF tree. Leafs do not
grow directly from a trunk, so there is no need to have IP Prefixes in a
Pseudonode LSP. But, this doesn't mean you still don't need a trunk to
connect the branches.

>  concept is brought in to remove the N^2 topology problem only

We need a two-way check on a LAN because IS-IS attempts to form adjacencies
with each IS present on a common LAN, unlike OSPF routers which only form
adjacencies with the DR and BDR. As a consequence, it is quite possible to
have misconfigured ISs on the same LAN which do not have adjacencies to all
other ISs on that common LAN. The Pseudonode LSP reports the ISs it believes
should have formed proper adjacencies (L1 Subdomain or L2 Domain). I believe
the Pseudonode determines the set of adjacencies based on area addresses
only?

Cheers,
Ken Larmer
CommSense Networks

---

From: Jeff Learman <[email-masked]>
Date: Thu, 10 Jan 2002 18:02:50 -0500

Rams,

The N we were talking about was the number of routers on a single LAN,
and the N^2 is the number of "IS Neighbors" fields in all LSPs for that
LAN.  None of these numbers has anything to do with other subnets the
routers may be able to reach, or other subnet numbers for that LAN.

The N you are talking about is seems to be a set of numbers: the number of
routers, and the number of subnets each router is attached to.  Unless
all of the routers are attached to all of the subnets, this does not
yield N^2 advertisements.  Note that this is equivalent (in number of
advertisements) to one common LAN with N subnet addresses.

If all routers are attached on one LAN and are also attached to M
other subnets, and each of these subnets is only attached to one of
the routers on the LAN, then we have N * M subnets, so N * M subnets
must be advertised. Clearly, the reality is somewhere between the two,
but is usually nowhere near N^2.

Regards,
Jeff